> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/group-mappings/sso-group-mappings-get-group-mapping/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get an individual group mapping GET https://example.itential.io/group-mappings/{provenance}/{externalGroup} Returns an individual group mapping. Reference: https://docs.itential.com/itential-cloud/api-reference/group-mappings/sso-group-mappings-get-group-mapping ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `provenance` (string, required) — The provenance for the requested group mapping. - `externalGroup` (string, required) — The name of the external group that is mapped. ## Response ### 200 The individual group mapping document. - `externalGroup` (string, required) — name of the external group - `provenance` (string, required) — The AAA provider for the external group - `iapGroups` (list of string, required) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "externalGroup": "string", "provenance": "Okta", "iapGroups": [ "string" ] } ``` **SDK Code** ```python import requests url = "https://example.itential.io/group-mappings/provenance/externalGroup" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/group-mappings/provenance/externalGroup'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/group-mappings/provenance/externalGroup" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/group-mappings/provenance/externalGroup") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/group-mappings/provenance/externalGroup") .asString(); ``` ```php request('GET', 'https://example.itential.io/group-mappings/provenance/externalGroup'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/group-mappings/provenance/externalGroup"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/group-mappings/provenance/externalGroup")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```